> ## Documentation Index
> Fetch the complete documentation index at: https://pwapi.uuwallet.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Query Order Status



## OpenAPI

````yaml en post /transaction/queryOrder
openapi: 3.1.0
info:
  title: powercard-api
  description: ''
  version: 1.0.0
servers:
  - url: http://dev-cn.your-api-server.com
    description: 开发环境
security: []
tags: []
paths:
  /transaction/queryOrder:
    post:
      tags: []
      summary: 查看订单状态
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/QueryOrderRequest'
              description: ''
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CommonResultQueryOrderResponse'
              example:
                success: false
                errorCode: ''
                errorMessage: ''
                errorMessageEn: ''
                detailMessage: ''
                requestId: ''
                data:
                  powerCardOrderNo: ''
                  status: ''
          headers: {}
      deprecated: false
      security: []
components:
  schemas:
    QueryOrderRequest:
      type: object
      properties:
        merchantId:
          type: string
          description: 商户id
        powerCardId:
          type: string
          description: powerCard卡片id
        channel:
          type: string
          description: 开卡渠道
        merchantOrderNo:
          type: string
          description: 商户订单号
      required:
        - merchantId
        - powerCardId
        - channel
        - merchantOrderNo
    CommonResultQueryOrderResponse:
      type: object
      properties:
        success:
          type: boolean
          description: 是否业务处理成功
          default: false
        errorCode:
          type: string
          description: 错误码
        errorMessage:
          type: string
          description: 错误信息
        errorMessageEn:
          type: string
          description: 英文错误信息
        detailMessage:
          type: string
          description: 详细信息
        requestId:
          type: string
          description: 請求uuid
        data:
          $ref: '#/components/schemas/QueryOrderResponse'
          description: 结果数据
    QueryOrderResponse:
      type: object
      properties:
        powerCardOrderNo:
          type: string
          description: powerCard 订单号
        status:
          type: string
          description: 订单状态

````